import request from '@/utils/request'

// 查询虚拟观众配置列表
export function listImLiveVirtualConfig(query) {
  return request({
    url: '/service/imLiveVirtualConfig/list',
    method: 'get',
    params: query
  })
}

// 查询虚拟观众配置详细
export function getImLiveVirtualConfig(id) {
  return request({
    url: '/service/imLiveVirtualConfig/' + id,
    method: 'get'
  })
}

// 新增虚拟观众配置
export function addImLiveVirtualConfig(data) {
  return request({
    url: '/service/imLiveVirtualConfig',
    method: 'post',
    data: data
  })
}

// 修改虚拟观众配置
export function updateImLiveVirtualConfig(data) {
  return request({
    url: '/service/imLiveVirtualConfig',
    method: 'put',
    data: data
  })
}

// 删除虚拟观众配置
export function delImLiveVirtualConfig(id) {
  return request({
    url: '/service/imLiveVirtualConfig/' + id,
    method: 'delete'
  })
}
